Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223914 - bind update breaks dependencies
Summary: bind update breaks dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-23 00:34 UTC by Michal Jaegermann
Modified: 2013-04-30 23:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-23 11:09:44 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2007-01-23 00:34:50 UTC
Description of problem:

In "rawhide report: 20070122 changes" one can find

bind-31:9.3.3-4.fc7
-------------------
* Mon Jan 22 2007 Adam Tkac <atkac redhat com> 31:9.3.3-4.fc7
- package bind-libbind-devel has beed removed ...

but 'yum update' goes like this:

---> Package bind-utils.x86_64 31:9.3.3-4.fc7 set to be updated
---> Package bind.x86_64 31:9.3.3-4.fc7 set to be updated
---> Package bind-libs.x86_64 31:9.3.3-4.fc7 set to be updated
--> Running transaction check
--> Processing Dependency: bind-libs = 31:9.3.3-3.fc7 for package:
bind-libbind-devel
--> Finished Dependency Resolution
Error: Missing Dependency: bind-libs = 31:9.3.3-3.fc7 is needed by package
bind-libbind-devel

and terminates.  Forgotten "obsoletes" in bind-libs?

Yes, 'yum remove bind-libbind-devel' followed by 'yum update' does work.

Version-Release number of selected component (if applicable):
bind-9.3.3-4.fc7

Comment 1 Michal Jaegermann 2007-01-23 00:45:00 UTC
As a matter of fact looking closer files from bind-libbind-devel
disappear unless bind-devel is installed as well so "obsoletes" apparently
should be in bind-devel (which will bring in bind-libs in any case via
dependencies).

Comment 2 Adam Tkac 2007-01-23 11:09:44 UTC
You're right. I've built bind 9.3.3-5.fc7. This problem is fixed there


Note You need to log in before you can comment on or make changes to this bug.